@mixin leftNavbar{
  position: fixed;
  height: 100%;
  overflow: auto;
  background-color: #DBD9D9;
}

.left-nav-bar {
  width: 7%;
  @include leftNavbar;
  @media (min-width: 1920px){
    width: 5% !important;
  }
}

.left-nav-bar-mobile{
  width: 17%;
  @include leftNavbar;
}

.container-fluid{
  .row{
    .display-component{
      margin-top: 54px;
      margin-left: 7%;
      margin-bottom:50px;
    }
    @media (max-width: 768px) {
      .display-component{
        margin-left: 0;
      }
    }
  }
}

@-webkit-keyframes slideOutLeftCustom {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(-250px);
    transform: translateX(-250px);
  }
}

@keyframes slideOutLeftCustom {
  0% {
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(-250px);
    -ms-transform: translateX(-250px);
    transform: translateX(-250px);
  }
}

@-webkit-keyframes slideInLeftCustom {
  0% {
    opacity: 1;
    -webkit-transform: translateX(-250px);
    transform: translateX(-250px);
  }

  100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}

@keyframes slideInLeftCustom {
  0% {
    opacity: 1;
    -webkit-transform: translateX(-250px);
    -ms-transform: translateX(-250px);
    transform: translateX(-250px);
  }

  100% {
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
  }
}

.show-nav-bar-false{
  animation-name: slideOutLeftCustom;
  animation-iteration-count: 1;
  animation-duration: .8s;
  animation-delay: .1s;
  animation-timing-function: ease;
  animation-fill-mode: both;
  backface-visibility: hidden;

}

.show-nav-bar-true{
  animation-name: slideInLeftCustom;
  animation-iteration-count: 1;
  animation-duration: .7s;
  animation-delay: -0.1s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
  backface-visibility: hidden;
}